Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457326 - ssh quits with "xmalloc: zero size"
Summary: ssh quits with "xmalloc: zero size"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-30 22:41 UTC by Pete Zaitcev
Modified: 2008-08-01 16:37 UTC (History)
0 users

Fixed In Version: openssh-5.1p1-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-31 10:46:09 UTC
Type: ---


Attachments (Terms of Use)

Description Pete Zaitcev 2008-07-30 22:41:03 UTC
Description of problem:

The following happens:

[zaitcev@niphredil ~]$ ssh devserv.devel.redhat.com
xmalloc: zero size
[zaitcev@niphredil ~]$ 

This started happening after the update on July 26.

Version-Release number of selected component (if applicable):

openssh-5.1p1-1.fc10.x86_64
openssl-0.9.8g-10.fc10.x86_64
glibc-2.8.90-9.x86_64

How reproducible:

100%

Steps to Reproduce:
1. ssh devserv.devel.redhat.com
2. Observe the fault
  
Actual results:

ssh quits (with a message)

Expected results:

Established connection

Additional info:

- This ONLY happens with devserv. Porkchop works! All my home boxes
  are ok too.

- This is NOT a fault of ssh. I tried different binaries, they all
  fail in the same way. But I do not know how to identify the component.

Comment 1 Pete Zaitcev 2008-07-30 22:44:06 UTC
[zaitcev@niphredil ~]$ ssh -v devserv.devel.redhat.com
OpenSSH_5.1p1, OpenSSL 0.9.8g 19 Oct 2007
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: Applying options for *
debug1: Connecting to devserv.devel.redhat.com [10.10.36.72] port 22.
debug1: Connection established.
debug1: identity file /q/zaitcev/.ssh/identity type -1
debug1: identity file /q/zaitcev/.ssh/id_rsa type -1
debug1: identity file /q/zaitcev/.ssh/id_dsa type 2
debug1: Remote protocol version 1.99, remote software version OpenSSH_3.6.1p2
debug1: match: OpenSSH_3.6.1p2 pat OpenSSH_3.*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_5.1
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'devserv.devel.redhat.com' is known and matches the RSA host key.
debug1: Found key in /q/zaitcev/.ssh/known_hosts:29
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
xmalloc: zero size
[zaitcev@niphredil ~]$ 


Comment 2 Pete Zaitcev 2008-07-30 22:56:15 UTC
Actually, I take it back. It may be ssh itself, I just don't know.

Comment 3 Pete Zaitcev 2008-07-30 22:57:48 UTC
In fact, it definitely is ssh. I installed openssh-5.0p1-3.fc10.x86_64,
and it works.

Comment 4 Tomas Mraz 2008-07-31 08:09:30 UTC
Yes, there is a bug in input_userauth_banner function.


Comment 5 Pete Zaitcev 2008-08-01 16:37:03 UTC
Confirmed fixed in 5.1p1-2.fc10.


Note You need to log in before you can comment on or make changes to this bug.